package cn.iocoder.yudao.module.infra.dal.mysql.file;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.infra.controller.admin.file.vo.file.FilePageReqVO;
import cn.iocoder.yudao.module.infra.dal.dataobject.file.BpmFileDO;
import cn.iocoder.yudao.module.infra.dal.dataobject.file.FileDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * bpm文件操作 Mapper
 *

 */
@Mapper
public interface BpmFileMapper extends BaseMapperX<BpmFileDO> {

    default PageResult<BpmFileDO> selectPage(FilePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<BpmFileDO>()
                .likeIfPresent(BpmFileDO::getPath, reqVO.getPath())
                .likeIfPresent(BpmFileDO::getType, reqVO.getType())
                .betweenIfPresent(BpmFileDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(BpmFileDO::getId));
    }
}
